> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slm.m1amdocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List All Payment Methods

Retrieves Payment Methods filtered by [Account](Accounts).

## HTTP Request

`GET https://api.vindicia.com/payment_methods?account=cust_1234`

## Route (URL) Parameters

None.

## Query Parameters

**Note:**

This endpoint must include an Account Query Parameter to filter by.

| Parameter | Default | Description | Required |
| - | - | - | - |
| limit | 20 | A limit on the number of objects to be returned, between 1 and 100. | No |
| starting\_after | none | A cursor for use in pagination. starting\_after is an object **id** that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj\_foo, your subsequent call can include starting\_after=obj\_foo in order to fetch the next page of the list. | No |
| ending\_before | none | A cursor for use in pagination. ending\_before is an object **id** that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj\_bar, your subsequent call can include ending\_before=obj\_bar in order to fetch the previous page of the list. | No |
| account | none | Specify a particular account by **id** or **vid** | Yes |
| include\_children | false | include child account Payment Methods in results | No |

## Accepts

None.

## Returns

JSON - A *list* array with a data property that contains an array of up to limit [Payment Methods](Payment_Methods), starting after the specified starting\_after Payment Method (or ending before the specified ending\_before Payment Method). Each entry in the array is a full Payment Method object. If no more Payment Methods are available, the resulting array will be empty.

A *list* of [Payment Methods](Payment_Methods) objects matching the query. Also:

* “total\_count”: Integer count of the number of Payment Method in the returned list.

* “url”: The query string provided in the request

* “next”: The route (partial URL) to the next Payment Method object (string to select the “next”); included **id** should match that of the last object returned here

* “previous”: The route (partial URL) to the previous Payment Method object (string to select the “previous”); included **id** should match that of the first object returned here

## Example Request

```

curl -X GET \
-u acaff38d462f9430d5cbcbaf:a575771fc679b9de \
"https://api.staging.us-west.vindicia.com/payment_methods?limit=1&account=cust_1235"
```

The above command returns JSON structured like this:

```

{
   "object":"List",
   "data":[
      {
         "object":"PaymentMethod",
         "id":"paym_1235",
         "vid":"97b0915f6e65614462fdee6ffbc8385f3308188f",
         "created":"2020-05-24T17:41:29-07:00",
         "type":"CreditCard",
         "credit_card":{
            "object":"CreditCard",
            "vid":"0f0c86caef22b95b80f430cd4f8fc2df52a03f97",
            "account":"422277XXXXXX9507",
            "bin":"422277",
            "last_digits":"9507",
            "account_length":16,
            "expiration_date":"202605"
         },
         "account_holder":"Sally W. Brown",
         "billing_address":{
            "object":"Address",
            "vid":"2eec375cdf13cd4998346796995099146448a651",
            "name":"Sally Brown",
            "line1":"123 Main Street",
            "city":"San Francisco",
            "district":"CA",
            "postal_code":"94105",
            "country":"US",
            "phone":"415-555-3212"
         },
         "customer_specified_type":"VI",
         "primary":true,
         "active":true
      }
   ],
   "total_count":1,
   "url":"/payment_methods?limit=1&account=cust_1235",
   "next":"/payment_methods?limit=1&account=cust_1235&starting_after=paym_1235",
   "previous":"/payment_methods?limit=1&account=cust_1235&ending_before=paym_1235"
}
```

**Parent topic:**[Payment Methods](../topics/Payment_Methods)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.